rem @ECHO OFF

rem Skip ahead to CONT1 if FG_ROOT has a value
IF NOT %FG_ROOT%.==. GOTO CONT1

SET FG_ROOT=.

:CONT1

rem Check for the existance of the executable
IF NOT EXIST %FG_ROOT%\BIN\FGFS.EXE GOTO ERROR1

rem Now that FG_ROOT has been set, run the program
ECHO FG_ROOT = %FG_ROOT%


rem Cessna 172 at default airport
%FG_ROOT%\BIN\FGFS.EXE --aircraft-dir=Aircraft-uiuc/Cessna172    --time-offset=-0:00:00                   --heading=280   --enable-fullscreen --clouds-asl=3000  --fog-nicest

rem Cessna 172 (with lift curve) at Champaign (Willard Airport)
rem %FG_ROOT%\BIN\FGFS.EXE --aircraft-dir=Aircraft-uiuc/Cessna172-TD --time-offset=-8:00:00 --airport-id=KCMI --heading=0   --enable-fullscreen --clouds-asl=6000  --fog-nicest

rem Cessna 310 at Washington National
rem %FG_ROOT%\BIN\FGFS.EXE --aircraft-dir=Aircraft-uiuc/Cessna310    --time-offset=-0:00:00 --airport-id=KDCA --heading=0   --enable-fullscreen --clouds-asl=2000  --fog-nicest

rem Cessna 620 at default airport
rem %FG_ROOT%\BIN\FGFS.EXE --aircraft-dir=Aircraft-uiuc/Cessna620    --time-offset=-2:00:00                   --heading=280 --enable-fullscreen --clouds-asl=4000  --fog-nicest

rem Twin Otter at Champaign (Willard Airport)
rem %FG_ROOT%\BIN\FGFS.EXE --aircraft-dir=Aircraft-uiuc/TwinOtter    --time-offset=-0:00:00 --airport-id=KCMI --heading=0   --enable-fullscreen --clouds-asl=6000  --fog-nicest

rem Twin Otter with ice accretion in flight at Champaign (Willard Airport)
rem %FG_ROOT%\BIN\FGFS.EXE --aircraft-dir=Aircraft-uiuc/TwinOtterIce --time-offset=10:00:00 --airport-id=KCMI --heading=0   --enable-fullscreen --clouds-asl=6000  --fog-nicest

rem Beech 99 at Denver
rem %FG_ROOT%\BIN\FGFS.EXE --aircraft-dir=Aircraft-uiuc/Beech99      --time-offset=-0:00:00 --airport-id=KDEN --heading=90  --enable-fullscreen --clouds-asl=8000  --fog-nicest

rem Marchetti trainer at Grand Canyon
rem %FG_ROOT%\BIN\FGFS.EXE --aircraft-dir=Aircraft-uiuc/Marchetti    --time-offset=-0:00:00 --airport-id=25U  --heading=10  --enable-fullscreen --clouds-asl=14000 --fog-nicest

rem T-37 trainer at Phoenix
rem %FG_ROOT%\BIN\FGFS.EXE --aircraft-dir=Aircraft-uiuc/T37          --time-offset=-0:00:00 --airport-id=KIWA --heading=30  --enable-fullscreen --clouds-asl=10000 --fog-nicest

rem F-104 at Salt Lake City
rem %FG_ROOT%\BIN\FGFS.EXE --aircraft-dir=Aircraft-uiuc/F104         --time-offset=-0:00:00 --airport-id=KSLC --heading=180 --enable-fullscreen --clouds-asl=14000 --fog-nicest

rem F-4 at Denver
rem %FG_ROOT%\BIN\FGFS.EXE --aircraft-dir=Aircraft-uiuc/F4           --time-offset=-0:00:00 --airport-id=KDEN --heading=100 --enable-fullscreen --clouds-asl=8000  --fog-nicest

rem Boeing 747 at Chicago (O'Hare Airport)
rem %FG_ROOT%\BIN\FGFS.EXE --aircraft-dir=Aircraft-uiuc/Boeing747    --time-offset=-0:00:00 --airport-id=KORD --heading=160 --enable-fullscreen --clouds-asl=5000  --fog-nicest

rem Convair 880 at Miami
rem %FG_ROOT%\BIN\FGFS.EXE --aircraft-dir=Aircraft-uiuc/Convair880   --time-offset=-0:00:00 --airport-id=KMIA --heading=200 --enable-fullscreen --clouds-asl=2000  --fog-nicest

rem Learjet 24 at Seattle
rem %FG_ROOT%\BIN\FGFS.EXE --aircraft-dir=Aircraft-uiuc/Learjet24    --time-offset=-0:00:00 --airport-id=KBFI --heading=90  --enable-fullscreen --clouds-asl=2000  --fog-nicest

rem Pioneer at San Diego
rem %FG_ROOT%\BIN\FGFS.EXE --aircraft-dir=Aircraft-uiuc/Pioneer      --time-offset=-0:00:00 --airport-id=KSAN --heading=120 --enable-fullscreen --clouds-asl=10000 --fog-nicest

rem Pioneer at San Diego
rem %FG_ROOT%\BIN\FGFS.EXE --aircraft-dir=Aircraft-uiuc/Pioneer-TD   --time-offset=-0:00:00 --airport-id=KSAN --heading=120 --enable-fullscreen --clouds-asl=10000 --fog-nicest


GOTO END

:ERROR1
ECHO Cannot find %FG_ROOT%\BIN\FGFS.EXE
GOTO END

:END
